Bug 1394502 - Review Request: daq - Data Acquisition Library
Summary: Review Request: daq - Data Acquisition Library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio T. (sagitter)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-12 18:44 UTC by marcindulak
Modified: 2016-12-04 08:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-04 02:49:56 UTC
Type: ---
anto.trande: fedora-review+


Attachments (Terms of Use)

Description marcindulak 2016-11-12 18:44:04 UTC
Spec URL: http://marcindulak.fedorapeople.org/packages/daq/r01/daq.spec
SRPM URL: http://marcindulak.fedorapeople.org/packages/daq/r01/daq-2.0.6-1.fc23.src.rpm
Description: Snort 2.9 introduces the DAQ, or Data Acquisition library, for packet I/O.  The DAQ replaces direct calls to libpcap functions with an abstraction layer that facilitates operation on a variety of hardware and software interfaces without requiring changes to Snort.
Fedora Account System Username: marcindulak

Comment 1 marcindulak 2016-11-12 18:48:21 UTC
Problems reported by fedora-review:

daq.x86_64: W: shared-lib-calls-exit /usr/lib64/libsfbpf.so.0.0.1 exit@GLIBC_2.2.5
daq.x86_64: E: library-without-ldconfig-postin /usr/lib64/libsfbpf.so.0.0.1
daq.x86_64: E: library-without-ldconfig-postun /usr/lib64/libsfbpf.so.0.0.1
daq.x86_64: E: library-without-ldconfig-postin /usr/lib64/libdaq.so.2.0.4
daq.x86_64: E: library-without-ldconfig-postun /usr/lib64/libdaq.so.2.0.4
daq-modules.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/daq/daq_ipfw.so ['/usr/lib64']
daq-modules.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/daq/daq_nfq.so ['/usr/lib64']
daq-modules.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/daq/daq_afpacket.so ['/usr/lib64']

I've tried various workarounds against rpath, e.g.

%{_configure} --libdir=%{_libdir} --disable-rpath
%{__sed} -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
%{__sed} -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

Any suggestions how to force daq to drop rpath?

References:
https://fedoraproject.org/wiki/Packaging:Guidelines#Removing_Rpath
https://wiki.debian.org/RpathIssue

Comment 2 marcindulak 2016-11-12 19:10:05 UTC
example koji build http://koji.fedoraproject.org/koji/taskinfo?taskID=16424811

Comment 3 marcindulak 2016-11-15 11:56:26 UTC
The workarounds were seemingly not working due to local mock cache used during fedora-review so old daq RPMS were installed ...

The version below is ready for review:

Spec URL: http://marcindulak.fedorapeople.org/packages/daq/r02/daq.spec
SRPM URL: http://marcindulak.fedorapeople.org/packages/daq/r02/daq-2.0.6-1.fc23.src.rpm

Comment 4 Antonio T. (sagitter) 2016-11-16 13:48:54 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

- Files in sfbpf/ are licensed under BSD* licenses.
  Add BSD to License tag.

- devel sub-packages do not need to provide COPYING

- %{_configure} macro is wrong.
  Use %configure

- Following lines are useless

%post -n %{name}-devel -p /sbin/ldconfig
%postun -n %{name}-devel -p /sbin/ldconfig

- %{__make} %{?_smp_mflags} = %make_build

- Once you set %configure, probably you will not need using

%{__make} install prefix=$RPM_BUILD_ROOT%{_prefix} exec_prefix=$RPM_BUILD_ROOT%{_exec_prefix} libdir=$RPM_BUILD_ROOT%{_libdir}

anymore, but %make_install

- Static files are not necessary, unless there is some specific reason.
  Use  --enable-static=no

- AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: daq-2.0.6/configure.ac:13

See: https://fedorahosted.org/FedoraReview/wiki/AutoTools

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[!]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "BSD (3 clause) GPL (v2)", "Unknown or
     generated", "BSD (4 clause)", "MIT/X11 (BSD like)", "BSD (3 clause)",
     "GPL (v2) (with incorrect FSF address)", "GPL (v2)". 19 files have
     unknown license. Detailed output of licensecheck in
     /home/sagitter/1394502-daq/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[!]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[!]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Static libraries in -static or -devel subpackage, providing -devel if
     present.
     Note: Package has .a files: daq-modules-static, daq-static.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in daq-
     modules , daq-modules-static , daq-static , daq-debuginfo
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: daq-2.0.6-1.fc26.x86_64.rpm
          daq-modules-2.0.6-1.fc26.x86_64.rpm
          daq-modules-static-2.0.6-1.fc26.x86_64.rpm
          daq-devel-2.0.6-1.fc26.x86_64.rpm
          daq-static-2.0.6-1.fc26.x86_64.rpm
          daq-debuginfo-2.0.6-1.fc26.x86_64.rpm
          daq-2.0.6-1.fc26.src.rpm
daq.x86_64: W: spelling-error %description -l en_US libpcap -> slipcase
daq.x86_64: W: shared-lib-calls-exit /usr/lib64/libsfbpf.so.0.0.1 exit@GLIBC_2.2.5
daq-modules.x86_64: W: no-documentation
daq-modules-static.x86_64: W: no-documentation
daq-devel.x86_64: W: only-non-binary-in-usr-lib
daq-devel.x86_64: W: no-documentation
daq-devel.x86_64: W: no-manual-page-for-binary daq-modules-config
daq-static.x86_64: W: no-documentation
daq.src: W: spelling-error %description -l en_US libpcap -> slipcase
daq.src: W: invalid-url Source0: https://www.snort.org/downloads/snort/daq-2.0.6.tar.gz HTTP Error 403: Forbidden
7 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (debuginfo)
-------------------
Checking: daq-debuginfo-2.0.6-1.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
daq-devel.x86_64: W: only-non-binary-in-usr-lib
daq-devel.x86_64: W: no-documentation
daq-devel.x86_64: W: no-manual-page-for-binary daq-modules-config
daq-static.x86_64: W: no-documentation
daq-modules-static.x86_64: W: no-documentation
daq.x86_64: W: spelling-error %description -l en_US libpcap -> slipcase
daq.x86_64: W: shared-lib-calls-exit /usr/lib64/libsfbpf.so.0.0.1 exit@GLIBC_2.2.5
daq-modules.x86_64: W: no-documentation
6 packages and 0 specfiles checked; 0 errors, 8 warnings.



Requires
--------
daq-devel (rpmlib, GLIBC filtered):
    /bin/sh
    /sbin/ldconfig
    daq(x86-64)
    libdaq.so.2()(64bit)
    libsfbpf.so.0()(64bit)

daq-static (rpmlib, GLIBC filtered):
    daq-devel(x86-64)

daq-modules-static (rpmlib, GLIBC filtered):
    daq-modules(x86-64)

daq (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    rtld(GNU_HASH)

daq-debuginfo (rpmlib, GLIBC filtered):

daq-modules (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libdnet.so.1()(64bit)
    libnetfilter_queue.so.1()(64bit)
    libnfnetlink.so.0()(64bit)
    libpcap.so.1()(64bit)
    libsfbpf.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
daq-devel:
    daq-devel
    daq-devel(x86-64)

daq-static:
    daq-static
    daq-static(x86-64)

daq-modules-static:
    daq-modules-static
    daq-modules-static(x86-64)

daq:
    daq
    daq(x86-64)
    libdaq.so.2()(64bit)
    libsfbpf.so.0()(64bit)

daq-debuginfo:
    daq-debuginfo
    daq-debuginfo(x86-64)

daq-modules:
    daq-modules
    daq-modules(x86-64)



Unversioned so-files
--------------------
daq-modules: /usr/lib64/daq/daq_afpacket.so
daq-modules: /usr/lib64/daq/daq_dump.so
daq-modules: /usr/lib64/daq/daq_ipfw.so
daq-modules: /usr/lib64/daq/daq_nfq.so
daq-modules: /usr/lib64/daq/daq_pcap.so

Source checksums
----------------
https://www.snort.org/downloads/snort/daq-2.0.6.tar.gz :
  CHECKSUM(SHA256) this package     : b40e1d1273e08aaeaa86e69d4f28d535b7e53bdb3898adf539266b63137be7cb
  CHECKSUM(SHA256) upstream package : b40e1d1273e08aaeaa86e69d4f28d535b7e53bdb3898adf539266b63137be7cb


AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: daq-2.0.6/configure.ac:13


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1394502
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 marcindulak 2016-11-16 14:56:47 UTC
Spec URL: http://marcindulak.fedorapeople.org/packages/daq/r03/daq.spec
SRPM URL: http://marcindulak.fedorapeople.org/packages/daq/r03/daq-2.0.6-1.fc23.src.rpm

thanks, my answers below

(In reply to Antonio Trande from comment #4)
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> - Files in sfbpf/ are licensed under BSD* licenses.
>   Add BSD to License tag.

Added a comment to daq.spec about sfbpf.

I had a discussion once which concluded that one should use an "effective" license: https://bugzilla.redhat.com/show_bug.cgi?id=1282893#c11
Daq is very explicit about being GPLv2 https://github.com/jasonish/daq/blob/master/COPYING so I think we have no choice.

> 
> - devel sub-packages do not need to provide COPYING

fixed

> 
> - %{_configure} macro is wrong.
>   Use %configure

fixed

> 
> - Following lines are useless
> 
> %post -n %{name}-devel -p /sbin/ldconfig
> %postun -n %{name}-devel -p /sbin/ldconfig

fixed

> 
> - %{__make} %{?_smp_mflags} = %make_build

fixed

> 
> - Once you set %configure, probably you will not need using
> 
> %{__make} install prefix=$RPM_BUILD_ROOT%{_prefix}
> exec_prefix=$RPM_BUILD_ROOT%{_exec_prefix} libdir=$RPM_BUILD_ROOT%{_libdir}
> 
> anymore, but %make_install

that's right, all problems related to %{__make} install requiring extra arguments disappeared!

> 
> - Static files are not necessary, unless there is some specific reason.
>   Use  --enable-static=no

actually Snort responds that the static libraries are for convenience of using Snort https://sourceforge.net/p/snort/mailman/message/35489435/
I got rid of all the static libraries for now.

> 
> - AutoTools: Obsoleted m4s found
> ------------------------------
>   AC_PROG_LIBTOOL found in: daq-2.0.6/configure.ac:13
> 
> See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
> 
> ===== MUST items =====
> 
> C/C++:
> [x]: Package does not contain kernel modules.
> [x]: Package contains no static executables.
> [!]: Development (unversioned) .so files in -devel subpackage, if present.
>      Note: Unversioned so-files in private %_libdir subdirectory (see
>      attachment). Verify they are not in ld path.

I think this is about /usr/lib64/daq/? They are not in ld path.

> [x]: Header files in -devel subpackage, if present.
> [x]: ldconfig called in %post and %postun if required.
> [x]: Package does not contain any libtool archives (.la)
> [x]: Rpath absent or only used for internal libs.
> 
> Generic:
> [x]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "GPL (v2 or later)", "BSD (3 clause) GPL (v2)", "Unknown or
>      generated", "BSD (4 clause)", "MIT/X11 (BSD like)", "BSD (3 clause)",
>      "GPL (v2) (with incorrect FSF address)", "GPL (v2)". 19 files have
>      unknown license. Detailed output of licensecheck in
>      /home/sagitter/1394502-daq/licensecheck.txt
> [!]: License file installed when any subpackage combination is installed.

I think this is the case

> [!]: %build honors applicable compiler flags or justifies otherwise.

using %configure macro now, should be OK

> [x]: Package contains no bundled libraries without FPC exception.
> [x]: Changelog in prescribed format.
> [x]: Sources contain only permissible code or content.
> [-]: Package contains desktop file if it is a GUI application.
> [x]: Development files must be in a -devel package
> [x]: Package uses nothing in %doc for runtime.
> [!]: Package consistently uses macros (instead of hard-coded directory
>      names).
> [x]: Package is named according to the Package Naming Guidelines.
> [x]: Package does not generate any conflict.
> [x]: Package obeys FHS, except libexecdir and /usr/target.
> [-]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
> [x]: Requires correct, justified where necessary.
> [x]: Spec file is legible and written in American English.
> [-]: Package contains systemd file(s) if in need.
> [!]: Useful -debuginfo package or justification otherwise.

looks to me daq-debuginfo is useful (gdb loads symbols)

> [x]: Package is not known to require an ExcludeArch tag.
> [-]: Large documentation must go in a -doc subpackage. Large could be size
>      (~1MB) or number of files.
>      Note: Documentation size is 20480 bytes in 2 files.
> [x]: Package complies to the Packaging Guidelines
> [x]: Package successfully compiles and builds into binary rpms on at least
>      one supported primary architecture.
> [x]: Package installs properly.
> [x]: Rpmlint is run on all rpms the build produces.
>      Note: There are rpmlint messages (see attachment).
> [x]: If (and only if) the source package includes the text of the
>      license(s) in its own file, then that file, containing the text of the
>      license(s) for the package is included in %license.
> [x]: Package requires other packages for directories it uses.
> [x]: Package must own all directories that it creates.
> [x]: Package does not own files or directories owned by other packages.
> [x]: All build dependencies are listed in BuildRequires, except for any
>      that are listed in the exceptions section of Packaging Guidelines.
> [x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
> [x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.
> [x]: Macros in Summary, %description expandable at SRPM build time.
> [x]: Dist tag is present.
> [x]: Package does not contain duplicates in %files.
> [x]: Permissions on files are set properly.
> [x]: Package use %makeinstall only when make install DESTDIR=... doesn't
>      work.
> [x]: Package is named using only allowed ASCII characters.
> [x]: Package does not use a name that already exists.
> [x]: Package is not relocatable.
> [x]: Sources used to build the package match the upstream source, as
>      provided in the spec URL.
> [x]: Spec file name must match the spec package %{name}, in the format
>      %{name}.spec.
> [x]: Static libraries in -static or -devel subpackage, providing -devel if
>      present.
>      Note: Package has .a files: daq-modules-static, daq-static.
> [x]: File names are valid UTF-8.
> [x]: Packages must not store files under /srv, /opt or /usr/local
> 
> ===== SHOULD items =====
> 
> Generic:
> [-]: If the source package does not include license text(s) as a separate
>      file from upstream, the packager SHOULD query upstream to include it.
> [x]: Final provides and requires are sane (see attachments).
> [x]: Fully versioned dependency in subpackages if applicable.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in daq-
>      modules , daq-modules-static , daq-static , daq-debuginfo
> [ ]: Package functions as described.
> [x]: Latest version is packaged.
> [x]: Package does not include license text files separate from upstream.
> [!]: Scriptlets must be sane, if used.

now scriplets are for daq package only

> [-]: Description and summary sections in the package spec file contains
>      translations for supported Non-English languages, if available.
> [?]: Package should compile and build into binary rpms on all supported
>      architectures.
> [-]: %check is present and all tests pass.
> [x]: Packages should try to preserve timestamps of original installed
>      files.
> [x]: Reviewer should test that the package builds in mock.
> [x]: Buildroot is not present
> [x]: Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
> [x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
> [x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
> [x]: Sources can be downloaded from URI in Source: tag
> [x]: SourceX is a working URL.
> [x]: Spec use %global instead of %define unless justified.
> 
> ===== EXTRA items =====
> 
> Generic:
> [!]: Package should not use obsolete m4 macros
>      Note: Some obsoleted macros found, see the attachment.
>      See: https://fedorahosted.org/FedoraReview/wiki/AutoTools

I don't think we can fix that. Maybe Snort upstream will consider this at some point, but not even for the new daq-2.2 as far as I can see (https://github.com/Xiche/libdaq)

> [x]: Rpmlint is run on debuginfo package(s).
>      Note: No rpmlint messages.
> [x]: Rpmlint is run on all installed packages.
>      Note: There are rpmlint messages (see attachment).
> [x]: Large data in /usr/share should live in a noarch subpackage if package
>      is arched.
> [x]: Spec file according to URL is the same as in SRPM.
> 
> 
> Rpmlint
> -------
> Checking: daq-2.0.6-1.fc26.x86_64.rpm
>           daq-modules-2.0.6-1.fc26.x86_64.rpm
>           daq-modules-static-2.0.6-1.fc26.x86_64.rpm
>           daq-devel-2.0.6-1.fc26.x86_64.rpm
>           daq-static-2.0.6-1.fc26.x86_64.rpm
>           daq-debuginfo-2.0.6-1.fc26.x86_64.rpm
>           daq-2.0.6-1.fc26.src.rpm
> daq.x86_64: W: spelling-error %description -l en_US libpcap -> slipcase
> daq.x86_64: W: shared-lib-calls-exit /usr/lib64/libsfbpf.so.0.0.1
> exit@GLIBC_2.2.5
> daq-modules.x86_64: W: no-documentation
> daq-modules-static.x86_64: W: no-documentation
> daq-devel.x86_64: W: only-non-binary-in-usr-lib
> daq-devel.x86_64: W: no-documentation
> daq-devel.x86_64: W: no-manual-page-for-binary daq-modules-config
> daq-static.x86_64: W: no-documentation
> daq.src: W: spelling-error %description -l en_US libpcap -> slipcase
> daq.src: W: invalid-url Source0:
> https://www.snort.org/downloads/snort/daq-2.0.6.tar.gz HTTP Error 403:
> Forbidden
> 7 packages and 0 specfiles checked; 0 errors, 10 warnings.
> 
> 
> 
> 
> Rpmlint (debuginfo)
> -------------------
> Checking: daq-debuginfo-2.0.6-1.fc26.x86_64.rpm
> 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
> 
> 
> 
> 
> 
> Rpmlint (installed packages)
> ----------------------------
> daq-devel.x86_64: W: only-non-binary-in-usr-lib
> daq-devel.x86_64: W: no-documentation
> daq-devel.x86_64: W: no-manual-page-for-binary daq-modules-config
> daq-static.x86_64: W: no-documentation
> daq-modules-static.x86_64: W: no-documentation
> daq.x86_64: W: spelling-error %description -l en_US libpcap -> slipcase
> daq.x86_64: W: shared-lib-calls-exit /usr/lib64/libsfbpf.so.0.0.1
> exit@GLIBC_2.2.5
> daq-modules.x86_64: W: no-documentation
> 6 packages and 0 specfiles checked; 0 errors, 8 warnings.
> 
> 
> 
> Requires
> --------
> daq-devel (rpmlib, GLIBC filtered):
>     /bin/sh
>     /sbin/ldconfig
>     daq(x86-64)
>     libdaq.so.2()(64bit)
>     libsfbpf.so.0()(64bit)
> 
> daq-static (rpmlib, GLIBC filtered):
>     daq-devel(x86-64)
> 
> daq-modules-static (rpmlib, GLIBC filtered):
>     daq-modules(x86-64)
> 
> daq (rpmlib, GLIBC filtered):
>     /sbin/ldconfig
>     libc.so.6()(64bit)
>     libdl.so.2()(64bit)
>     rtld(GNU_HASH)
> 
> daq-debuginfo (rpmlib, GLIBC filtered):
> 
> daq-modules (rpmlib, GLIBC filtered):
>     libc.so.6()(64bit)
>     libdnet.so.1()(64bit)
>     libnetfilter_queue.so.1()(64bit)
>     libnfnetlink.so.0()(64bit)
>     libpcap.so.1()(64bit)
>     libsfbpf.so.0()(64bit)
>     rtld(GNU_HASH)
> 
> 
> 
> Provides
> --------
> daq-devel:
>     daq-devel
>     daq-devel(x86-64)
> 
> daq-static:
>     daq-static
>     daq-static(x86-64)
> 
> daq-modules-static:
>     daq-modules-static
>     daq-modules-static(x86-64)
> 
> daq:
>     daq
>     daq(x86-64)
>     libdaq.so.2()(64bit)
>     libsfbpf.so.0()(64bit)
> 
> daq-debuginfo:
>     daq-debuginfo
>     daq-debuginfo(x86-64)
> 
> daq-modules:
>     daq-modules
>     daq-modules(x86-64)
> 
> 
> 
> Unversioned so-files
> --------------------
> daq-modules: /usr/lib64/daq/daq_afpacket.so
> daq-modules: /usr/lib64/daq/daq_dump.so
> daq-modules: /usr/lib64/daq/daq_ipfw.so
> daq-modules: /usr/lib64/daq/daq_nfq.so
> daq-modules: /usr/lib64/daq/daq_pcap.so
> 
> Source checksums
> ----------------
> https://www.snort.org/downloads/snort/daq-2.0.6.tar.gz :
>   CHECKSUM(SHA256) this package     :
> b40e1d1273e08aaeaa86e69d4f28d535b7e53bdb3898adf539266b63137be7cb
>   CHECKSUM(SHA256) upstream package :
> b40e1d1273e08aaeaa86e69d4f28d535b7e53bdb3898adf539266b63137be7cb
> 
> 
> AutoTools: Obsoleted m4s found
> ------------------------------
>   AC_PROG_LIBTOOL found in: daq-2.0.6/configure.ac:13
> 
> 
> Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
> Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1394502
> Buildroot used: fedora-rawhide-x86_64
> Active plugins: Generic, Shell-api, C/C++
> Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell,
> R, PHP
> Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 Antonio T. (sagitter) 2016-11-16 16:10:21 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

>> - Files in sfbpf/ are licensed under BSD* licenses.
>>   Add BSD to License tag.
>>
>>Added a comment to daq.spec about sfbpf.
>
> I had a discussion once which concluded that one should use an "effective" 
> license: https://bugzilla.redhat.com/show_bug.cgi?id=1282893#c11
> Daq is very explicit about being GPLv2 https://github.com/jasonish/daq/blob
> /master/COPYING so I think we have no choice.

Code under BSD is directly involved, BSD is not compatible with GPLv2;
License should be 'GPLv2 and BSD', unless upstream chooses to use
a GPLv2+.
See https://fedoraproject.org/wiki/Licensing:FAQ#What_is_.22effective_license.22_and_do_I_need_to_know_that_for_the_License:_tag.3F

- dap does not build globally on rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=16476243

- Use these scriptlets

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "BSD (3 clause) GPL (v2)", "Unknown or
     generated", "BSD (4 clause)", "MIT/X11 (BSD like)", "BSD (3 clause)",
     "GPL (v2) (with incorrect FSF address)", "GPL (v2)". 19 files have
     unknown license. Detailed output of licensecheck in
     /home/sagitter/1394502-daq/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in daq-
     modules , daq-debuginfo
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: daq-2.0.6-1.fc26.x86_64.rpm
          daq-modules-2.0.6-1.fc26.x86_64.rpm
          daq-devel-2.0.6-1.fc26.x86_64.rpm
          daq-debuginfo-2.0.6-1.fc26.x86_64.rpm
          daq-2.0.6-1.fc26.src.rpm
daq.x86_64: W: spelling-error %description -l en_US libpcap -> slipcase
daq.x86_64: W: shared-lib-calls-exit /usr/lib64/libsfbpf.so.0.0.1 exit@GLIBC_2.2.5
daq-modules.x86_64: W: no-documentation
daq-devel.x86_64: W: only-non-binary-in-usr-lib
daq-devel.x86_64: W: no-documentation
daq-devel.x86_64: W: no-manual-page-for-binary daq-modules-config
daq.src: W: spelling-error %description -l en_US libpcap -> slipcase
daq.src: W: invalid-url Source0: https://www.snort.org/downloads/snort/daq-2.0.6.tar.gz HTTP Error 403: Forbidden
5 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (debuginfo)
-------------------
Checking: daq-debuginfo-2.0.6-1.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
daq.x86_64: W: spelling-error %description -l en_US libpcap -> slipcase
daq.x86_64: W: shared-lib-calls-exit /usr/lib64/libsfbpf.so.0.0.1 exit@GLIBC_2.2.5
daq-devel.x86_64: W: only-non-binary-in-usr-lib
daq-devel.x86_64: W: no-documentation
daq-devel.x86_64: W: no-manual-page-for-binary daq-modules-config
daq-modules.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 6 warnings.



Requires
--------
daq-debuginfo (rpmlib, GLIBC filtered):

daq (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    rtld(GNU_HASH)

daq-devel (rpmlib, GLIBC filtered):
    /bin/sh
    daq(x86-64)
    libdaq.so.2()(64bit)
    libsfbpf.so.0()(64bit)

daq-modules (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libdnet.so.1()(64bit)
    libnetfilter_queue.so.1()(64bit)
    libnfnetlink.so.0()(64bit)
    libpcap.so.1()(64bit)
    libsfbpf.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
daq-debuginfo:
    daq-debuginfo
    daq-debuginfo(x86-64)

daq:
    daq
    daq(x86-64)
    libdaq.so.2()(64bit)
    libsfbpf.so.0()(64bit)

daq-devel:
    daq-devel
    daq-devel(x86-64)

daq-modules:
    daq-modules
    daq-modules(x86-64)



Unversioned so-files
--------------------
daq-modules: /usr/lib64/daq/daq_afpacket.so
daq-modules: /usr/lib64/daq/daq_dump.so
daq-modules: /usr/lib64/daq/daq_ipfw.so
daq-modules: /usr/lib64/daq/daq_nfq.so
daq-modules: /usr/lib64/daq/daq_pcap.so

Source checksums
----------------
https://www.snort.org/downloads/snort/daq-2.0.6.tar.gz :
  CHECKSUM(SHA256) this package     : b40e1d1273e08aaeaa86e69d4f28d535b7e53bdb3898adf539266b63137be7cb
  CHECKSUM(SHA256) upstream package : b40e1d1273e08aaeaa86e69d4f28d535b7e53bdb3898adf539266b63137be7cb


AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: daq-2.0.6/configure.ac:13


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1394502
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 Antonio T. (sagitter) 2016-11-16 16:11:47 UTC
>- dap does not build globally on rawhide:

Sorry, i meant 'daq'

Comment 8 marcindulak 2016-11-16 16:40:35 UTC
Spec URL: http://marcindulak.fedorapeople.org/packages/daq/r04/daq.spec
SRPM URL: http://marcindulak.fedorapeople.org/packages/daq/r04/daq-2.0.6-1.fc23.src.rpm


(In reply to Antonio Trande from comment #6)
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> >> - Files in sfbpf/ are licensed under BSD* licenses.
> >>   Add BSD to License tag.
> >>
> >>Added a comment to daq.spec about sfbpf.
> >
> > I had a discussion once which concluded that one should use an "effective" 
> > license: https://bugzilla.redhat.com/show_bug.cgi?id=1282893#c11
> > Daq is very explicit about being GPLv2 https://github.com/jasonish/daq/blob
> > /master/COPYING so I think we have no choice.
> 
> Code under BSD is directly involved, BSD is not compatible with GPLv2;
> License should be 'GPLv2 and BSD', unless upstream chooses to use
> a GPLv2+.

using GPLv2 and BSD now

> See
> https://fedoraproject.org/wiki/Licensing:FAQ#What_is_.22effective_license.
> 22_and_do_I_need_to_know_that_for_the_License:_tag.3F
> 
> - dap does not build globally on rawhide:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=16476243
> 
> - Use these scriptlets
> 
> %post -p /sbin/ldconfig
> %postun -p /sbin/ldconfig
> 

fixed

> ===== MUST items =====
> 
> C/C++:
> [x]: Package does not contain kernel modules.
> [x]: Package contains no static executables.
> [x]: Development (unversioned) .so files in -devel subpackage, if present.
>      Note: Unversioned so-files in private %_libdir subdirectory (see
>      attachment). Verify they are not in ld path.
> [x]: Header files in -devel subpackage, if present.
> [x]: ldconfig called in %post and %postun if required.
> [x]: Package does not contain any libtool archives (.la)
> [x]: Rpath absent or only used for internal libs.
> 
> Generic:
> [x]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [?]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "GPL (v2 or later)", "BSD (3 clause) GPL (v2)", "Unknown or
>      generated", "BSD (4 clause)", "MIT/X11 (BSD like)", "BSD (3 clause)",
>      "GPL (v2) (with incorrect FSF address)", "GPL (v2)". 19 files have
>      unknown license. Detailed output of licensecheck in
>      /home/sagitter/1394502-daq/licensecheck.txt
> [x]: License file installed when any subpackage combination is installed.
> [x]: %build honors applicable compiler flags or justifies otherwise.
> [x]: Package contains no bundled libraries without FPC exception.
> [x]: Changelog in prescribed format.
> [x]: Sources contain only permissible code or content.
> [-]: Package contains desktop file if it is a GUI application.
> [x]: Development files must be in a -devel package
> [x]: Package uses nothing in %doc for runtime.
> [x]: Package consistently uses macros (instead of hard-coded directory
>      names).
> [x]: Package is named according to the Package Naming Guidelines.
> [x]: Package does not generate any conflict.
> [x]: Package obeys FHS, except libexecdir and /usr/target.
> [-]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
> [x]: Requires correct, justified where necessary.
> [x]: Spec file is legible and written in American English.
> [-]: Package contains systemd file(s) if in need.
> [x]: Useful -debuginfo package or justification otherwise.
> [x]: Package is not known to require an ExcludeArch tag.
> [-]: Large documentation must go in a -doc subpackage. Large could be size
>      (~1MB) or number of files.
>      Note: Documentation size is 20480 bytes in 2 files.
> [x]: Package complies to the Packaging Guidelines
> [x]: Package successfully compiles and builds into binary rpms on at least
>      one supported primary architecture.
> [x]: Package installs properly.
> [x]: Rpmlint is run on all rpms the build produces.
>      Note: There are rpmlint messages (see attachment).
> [x]: If (and only if) the source package includes the text of the
>      license(s) in its own file, then that file, containing the text of the
>      license(s) for the package is included in %license.
> [x]: Package requires other packages for directories it uses.
> [x]: Package must own all directories that it creates.
> [x]: Package does not own files or directories owned by other packages.
> [x]: All build dependencies are listed in BuildRequires, except for any
>      that are listed in the exceptions section of Packaging Guidelines.
> [x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
> [x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.
> [x]: Macros in Summary, %description expandable at SRPM build time.
> [x]: Dist tag is present.
> [x]: Package does not contain duplicates in %files.
> [x]: Permissions on files are set properly.
> [x]: Package use %makeinstall only when make install DESTDIR=... doesn't
>      work.
> [x]: Package is named using only allowed ASCII characters.
> [x]: Package does not use a name that already exists.
> [x]: Package is not relocatable.
> [x]: Sources used to build the package match the upstream source, as
>      provided in the spec URL.
> [x]: Spec file name must match the spec package %{name}, in the format
>      %{name}.spec.
> [x]: File names are valid UTF-8.
> [x]: Packages must not store files under /srv, /opt or /usr/local
> 
> ===== SHOULD items =====
> 
> Generic:
> [-]: If the source package does not include license text(s) as a separate
>      file from upstream, the packager SHOULD query upstream to include it.
> [x]: Final provides and requires are sane (see attachments).
> [x]: Fully versioned dependency in subpackages if applicable.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in daq-
>      modules , daq-debuginfo
> [ ]: Package functions as described.
> [x]: Latest version is packaged.
> [x]: Package does not include license text files separate from upstream.
> [!]: Scriptlets must be sane, if used.
> [-]: Description and summary sections in the package spec file contains
>      translations for supported Non-English languages, if available.
> [!]: Package should compile and build into binary rpms on all supported
>      architectures.

ExcludeArch:     %{ix86}
http://koji.fedoraproject.org/koji/taskinfo?taskID=16476436

> [-]: %check is present and all tests pass.
> [x]: Packages should try to preserve timestamps of original installed
>      files.
> [x]: Reviewer should test that the package builds in mock.
> [x]: Buildroot is not present
> [x]: Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
> [x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
> [x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
> [x]: Sources can be downloaded from URI in Source: tag
> [x]: SourceX is a working URL.
> [x]: Spec use %global instead of %define unless justified.
> 
> ===== EXTRA items =====
> 
> Generic:
> [!]: Package should not use obsolete m4 macros
>      Note: Some obsoleted macros found, see the attachment.
>      See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
> [x]: Rpmlint is run on debuginfo package(s).
>      Note: No rpmlint messages.
> [x]: Rpmlint is run on all installed packages.
>      Note: There are rpmlint messages (see attachment).
> [x]: Large data in /usr/share should live in a noarch subpackage if package
>      is arched.
> [x]: Spec file according to URL is the same as in SRPM.
> 
> 
> Rpmlint
> -------
> Checking: daq-2.0.6-1.fc26.x86_64.rpm
>           daq-modules-2.0.6-1.fc26.x86_64.rpm
>           daq-devel-2.0.6-1.fc26.x86_64.rpm
>           daq-debuginfo-2.0.6-1.fc26.x86_64.rpm
>           daq-2.0.6-1.fc26.src.rpm
> daq.x86_64: W: spelling-error %description -l en_US libpcap -> slipcase
> daq.x86_64: W: shared-lib-calls-exit /usr/lib64/libsfbpf.so.0.0.1
> exit@GLIBC_2.2.5
> daq-modules.x86_64: W: no-documentation
> daq-devel.x86_64: W: only-non-binary-in-usr-lib
> daq-devel.x86_64: W: no-documentation
> daq-devel.x86_64: W: no-manual-page-for-binary daq-modules-config
> daq.src: W: spelling-error %description -l en_US libpcap -> slipcase
> daq.src: W: invalid-url Source0:
> https://www.snort.org/downloads/snort/daq-2.0.6.tar.gz HTTP Error 403:
> Forbidden
> 5 packages and 0 specfiles checked; 0 errors, 8 warnings.
> 
> 
> 
> 
> Rpmlint (debuginfo)
> -------------------
> Checking: daq-debuginfo-2.0.6-1.fc26.x86_64.rpm
> 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
> 
> 
> 
> 
> 
> Rpmlint (installed packages)
> ----------------------------
> daq.x86_64: W: spelling-error %description -l en_US libpcap -> slipcase
> daq.x86_64: W: shared-lib-calls-exit /usr/lib64/libsfbpf.so.0.0.1
> exit@GLIBC_2.2.5
> daq-devel.x86_64: W: only-non-binary-in-usr-lib
> daq-devel.x86_64: W: no-documentation
> daq-devel.x86_64: W: no-manual-page-for-binary daq-modules-config
> daq-modules.x86_64: W: no-documentation
> 4 packages and 0 specfiles checked; 0 errors, 6 warnings.
> 
> 
> 
> Requires
> --------
> daq-debuginfo (rpmlib, GLIBC filtered):
> 
> daq (rpmlib, GLIBC filtered):
>     /sbin/ldconfig
>     libc.so.6()(64bit)
>     libdl.so.2()(64bit)
>     rtld(GNU_HASH)
> 
> daq-devel (rpmlib, GLIBC filtered):
>     /bin/sh
>     daq(x86-64)
>     libdaq.so.2()(64bit)
>     libsfbpf.so.0()(64bit)
> 
> daq-modules (rpmlib, GLIBC filtered):
>     libc.so.6()(64bit)
>     libdnet.so.1()(64bit)
>     libnetfilter_queue.so.1()(64bit)
>     libnfnetlink.so.0()(64bit)
>     libpcap.so.1()(64bit)
>     libsfbpf.so.0()(64bit)
>     rtld(GNU_HASH)
> 
> 
> 
> Provides
> --------
> daq-debuginfo:
>     daq-debuginfo
>     daq-debuginfo(x86-64)
> 
> daq:
>     daq
>     daq(x86-64)
>     libdaq.so.2()(64bit)
>     libsfbpf.so.0()(64bit)
> 
> daq-devel:
>     daq-devel
>     daq-devel(x86-64)
> 
> daq-modules:
>     daq-modules
>     daq-modules(x86-64)
> 
> 
> 
> Unversioned so-files
> --------------------
> daq-modules: /usr/lib64/daq/daq_afpacket.so
> daq-modules: /usr/lib64/daq/daq_dump.so
> daq-modules: /usr/lib64/daq/daq_ipfw.so
> daq-modules: /usr/lib64/daq/daq_nfq.so
> daq-modules: /usr/lib64/daq/daq_pcap.so
> 
> Source checksums
> ----------------
> https://www.snort.org/downloads/snort/daq-2.0.6.tar.gz :
>   CHECKSUM(SHA256) this package     :
> b40e1d1273e08aaeaa86e69d4f28d535b7e53bdb3898adf539266b63137be7cb
>   CHECKSUM(SHA256) upstream package :
> b40e1d1273e08aaeaa86e69d4f28d535b7e53bdb3898adf539266b63137be7cb
> 
> 
> AutoTools: Obsoleted m4s found
> ------------------------------
>   AC_PROG_LIBTOOL found in: daq-2.0.6/configure.ac:13
> 
> 
> Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
> Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1394502
> Buildroot used: fedora-rawhide-x86_64
> Active plugins: Generic, Shell-api, C/C++
> Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell,
> R, PHP
> Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 9 Antonio T. (sagitter) 2016-11-16 16:58:34 UTC
> ExcludeArch:     %{ix86}
> http://koji.fedoraproject.org/koji/taskinfo?taskID=16476436

Does not work on 32-bit?

Comment 10 marcindulak 2016-11-16 17:33:01 UTC
Does not compile https://kojipkgs.fedoraproject.org//work/tasks/6248/16476248/build.log

Comment 11 marcindulak 2016-11-16 17:37:44 UTC
Hmm, it may be parallel make is the source of the failure - investigating
https://trac.macports.org/ticket/45159

Comment 13 Antonio T. (sagitter) 2016-11-16 18:00:32 UTC
(In reply to marcindulak from comment #11)
> Hmm, it may be parallel make is the source of the failure - investigating
> https://trac.macports.org/ticket/45159

Indeed, tokdefs.h is required before it is created.

(In reply to marcindulak from comment #12)
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=16477244
> 
> Spec URL: http://marcindulak.fedorapeople.org/packages/daq/r05/daq.spec
> SRPM URL:
> http://marcindulak.fedorapeople.org/packages/daq/r05/daq-2.0.6-1.fc23.src.rpm

Package approved.

Comment 14 marcindulak 2016-11-16 18:05:25 UTC
thanks

Comment 15 Gwyn Ciesla 2016-11-16 18:40:15 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/daq

Comment 16 Fedora Update System 2016-11-16 22:35:04 UTC
daq-2.0.6-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6fefc97dbe

Comment 17 Fedora Update System 2016-11-16 22:54:35 UTC
daq-2.0.6-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-aa3ba5ce3e

Comment 18 Fedora Update System 2016-11-19 07:48:01 UTC
daq-2.0.6-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6fefc97dbe

Comment 19 Fedora Update System 2016-11-19 07:51:14 UTC
daq-2.0.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-aa3ba5ce3e

Comment 20 Fedora Update System 2016-12-04 02:49:56 UTC
daq-2.0.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-12-04 08:49:02 UTC
daq-2.0.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.